KSYSTRAYCMD(1)

NAME
ksystraycmd - Allows any application to be kept in the system tray

SYNOPSIS
ksystraycmd [Qt-options] [KDE-options] [options] command

DESCRIPTION
The system tray is an area in which an application can display a small window. It may be used to display status information or provide quick access to commands. Normally tray icons are developed as part of an application. ksystraycmd allows any application to be kept in the system tray.

OPTIONS

  Arguments:

  command
Command to execute

  Options:

  --window <regexp>
A regular expression matching the window title
    If you do not specify one, then the very first window to appear will be taken - not recommended.

--wid <int>
    The window id of the target window Specifies the id of the window to use. If the id starts with 0x it is assumed to be in hex.

--hidden
    Hide the window to the tray on startup

--startonshow
    Wait until we are told to show the window before executing the command

--tooltip <text>
    Sets the initial tooltip for the tray icon

--keeprunning
    Keep the tray icon even if the client exits. This option has no effect unless startonshow is specified.

--ownicon
    Use ksystraycmd's icon instead of window's icon in systray (should be used with --icon to specify ksystraycmd icon)

--ontop
    Try to keep the window above other windows

--quitonhide
    Quit the client when we are told to hide the window. This has no effect unless startonshow is specified and implies keeprunning.

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  KDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

AUTHORS

  Richard Moore <rich@kde.org>
Please use http://bugs.kde.org to report bugs; do not mail the author directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.